Class | Nokogiri::CSS::Node
In: | lib/nokogiri/css/node.rb
Parent: | Object

### Methods

accept find_by_type new preprocess! to_a to_type to_xpath

### Attributes

type | [RW] | Get the type of this node
value | [RW] | Get the value of this node

### Public Class methods

new(type, value)

Create a new Node with `type` and `value`

### Public Instance methods

accept(visitor)

Accept `visitor`

find_by_type(types)

Find a node by type using `types`

preprocess!()

Preprocess this node tree

to_a()

Convert to array

to_type()

Convert to_type

to_xpath(prefix = '//', visitor = XPathVisitor.new)

Convert this CSS node to xpath with `prefix` using `visitor`

[Validate]